Skip to main content
GET
/
shopping
/
{portfolio}
/
v1
/
facilities
/
lead
/
{leadUuid}
Validate lead verification token
curl --request GET \
  --url https://public-api.prd.monument.io/shopping/{portfolio}/v1/facilities/lead/{leadUuid} \
  --header 'x-api-key: <x-api-key>'
{
  "personUuid": "<string>",
  "firstName": "<string>",
  "lastName": "<string>",
  "email": "<string>",
  "phone": "<string>",
  "addressLine1": "<string>",
  "addressLine2": "<string>",
  "city": "<string>",
  "state": "<string>",
  "country": "<string>",
  "zip": "<string>",
  "phoneType": "<string>",
  "idType": "<string>",
  "idCode": "<string>",
  "accountType": "<string>",
  "businessName": "<string>",
  "taxId": "<string>",
  "isSmsEnrolled": true,
  "idState": "<string>",
  "idCountry": "<string>",
  "haveAlternateContact": true,
  "alternateContactFirstName": "<string>",
  "alternateContactLastName": "<string>",
  "alternateContactPhone": "<string>",
  "alternateContactRelationship": "<string>",
  "haveMilitary": true,
  "militaryBranch": "<string>",
  "dateOfBirth": "2023-11-07T05:31:56Z",
  "startDateOfService": "2023-11-07T05:31:56Z",
  "commanderOfficer": "<string>",
  "officerEmail": "<string>",
  "dateDesiredMoveIn": "2023-11-07T05:31:56Z",
  "haveVehicle": true,
  "haveLienHolder": true,
  "isPreviousTenant": true,
  "vehicleType": "<string>",
  "vehicleMake": "<string>",
  "vehicleModel": "<string>",
  "vinNumber": "<string>",
  "licensePlate": "<string>",
  "lienHolderName": "<string>",
  "lienHolderAddress": "<string>",
  "facilityUuid": "<string>",
  "unitGroupUuid": "<string>",
  "leadUuid": "<string>",
  "leadSourceUuid": "<string>",
  "leadMarketingSourceUuid": "<string>",
  "beneficiary": {
    "firstName": "<string>",
    "lastName": "<string>",
    "relationship": "<string>",
    "email": "<string>",
    "phone": "<string>"
  }
}

Headers

x-api-key
any
required

Api key required to authenticate your request. Please reach out to monument for a key.

Example:

"monument-2230012-2312321"

Path Parameters

leadUuid
string
required

Query Parameters

verifyToken
string
required

Response

200 - application/json

Leads personal information, returned if they have matching verification token

personUuid
string
required
firstName
string
required
lastName
string
required
email
string | null
required
phone
string | null
required
addressLine1
string | null
required
addressLine2
string | null
required
city
string | null
required
state
string
required
country
string
required
zip
string | null
required
phoneType
string
required
idType
string
required
idCode
string
required
accountType
string
required
businessName
string | null
taxId
string | null
isSmsEnrolled
boolean
idState
string | null
idCountry
string | null
haveAlternateContact
boolean | null
alternateContactFirstName
string | null
alternateContactLastName
string | null
alternateContactPhone
string | null
alternateContactRelationship
string | null
haveMilitary
boolean
militaryBranch
string | null
dateOfBirth
string<date-time> | null
startDateOfService
string<date-time> | null
commanderOfficer
string | null
officerEmail
string | null
dateDesiredMoveIn
string<date-time> | null
haveVehicle
boolean
haveLienHolder
boolean
isPreviousTenant
boolean
vehicleType
string
vehicleMake
string
vehicleModel
string
vinNumber
string
licensePlate
string
lienHolderName
string
lienHolderAddress
string
facilityUuid
string
unitGroupUuid
string
leadUuid
string
leadSourceUuid
string
leadMarketingSourceUuid
string | null
beneficiary
object